> For the complete documentation index, see [llms.txt](https://docs.momentum.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.momentum.sh/using-momentum/getting-list-of-all-parsed-projects.md).

# Getting list of all parsed projects

## Listing all parsed repos of a user

<mark style="color:green;">`GET`</mark> `/projects/list`

Get the list of all parsed repos of authenticated user.

**Headers**

| Name          | Value            |
| ------------- | ---------------- |
| Authorization | `Bearer <token>` |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "project_id": 2,
        "branch_name": "main",
        "repo_name": "vineetshar/distributed-id-generator",
        "last_updated_at": "2024-06-19T14:27:03.599554",
        "is_default": true,
        "project_status": "ready"
    },
    {
        "project_id": 3,
        "branch_name": "main",
        "repo_name": "vineetshar/python-simple-rest-api-cline",
        "last_updated_at": "2024-06-20T08:48:09.417632",
        "is_default": true,
        "project_status": "ready"
    }
]
```

{% endtab %}

{% tab title="401" %}
{% code overflow="wrap" %}

```json
{
    "detail": "Invalid authentication from Firebase. Invalid base64-encoded string: number of data characters (101) cannot be 1 more than a multiple of 4"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.momentum.sh/using-momentum/getting-list-of-all-parsed-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
